---
title: llarp::RouterProfile

---

# llarp::RouterProfile





## Public Functions

|                | Name           |
| -------------- | -------------- |
| | **[RouterProfile](Classes/structllarp_1_1RouterProfile.md#function-routerprofile)**() =default |
| | **[RouterProfile](Classes/structllarp_1_1RouterProfile.md#function-routerprofile)**(oxenc::bt_dict_consumer dict) |
| void | **[BEncode](Classes/structllarp_1_1RouterProfile.md#function-bencode)**(oxenc::bt_dict_producer & dict) const |
| void | **[BEncode](Classes/structllarp_1_1RouterProfile.md#function-bencode)**(oxenc::bt_dict_producer && dict) const |
| void | **[BDecode](Classes/structllarp_1_1RouterProfile.md#function-bdecode)**(oxenc::bt_dict_consumer dict) |
| bool | **[IsGood](Classes/structllarp_1_1RouterProfile.md#function-isgood)**(uint64_t chances) const |
| bool | **[IsGoodForConnect](Classes/structllarp_1_1RouterProfile.md#function-isgoodforconnect)**(uint64_t chances) const |
| bool | **[IsGoodForPath](Classes/structllarp_1_1RouterProfile.md#function-isgoodforpath)**(uint64_t chances) const |
| void | **[Decay](Classes/structllarp_1_1RouterProfile.md#function-decay)**()<br>decay stats  |
| void | **[Tick](Classes/structllarp_1_1RouterProfile.md#function-tick)**() |

## Public Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr size_t | **[MaxSize](Classes/structllarp_1_1RouterProfile.md#variable-maxsize)**  |
| uint64_t | **[connectTimeoutCount](Classes/structllarp_1_1RouterProfile.md#variable-connecttimeoutcount)**  |
| uint64_t | **[connectGoodCount](Classes/structllarp_1_1RouterProfile.md#variable-connectgoodcount)**  |
| uint64_t | **[pathSuccessCount](Classes/structllarp_1_1RouterProfile.md#variable-pathsuccesscount)**  |
| uint64_t | **[pathFailCount](Classes/structllarp_1_1RouterProfile.md#variable-pathfailcount)**  |
| uint64_t | **[pathTimeoutCount](Classes/structllarp_1_1RouterProfile.md#variable-pathtimeoutcount)**  |
| llarp_time_t | **[lastUpdated](Classes/structllarp_1_1RouterProfile.md#variable-lastupdated)**  |
| llarp_time_t | **[lastDecay](Classes/structllarp_1_1RouterProfile.md#variable-lastdecay)**  |
| uint64_t | **[version](Classes/structllarp_1_1RouterProfile.md#variable-version)**  |

## Public Functions Documentation

### function RouterProfile

```cpp
RouterProfile() =default
```


### function RouterProfile

```cpp
RouterProfile(
    oxenc::bt_dict_consumer dict
)
```


### function BEncode

```cpp
void BEncode(
    oxenc::bt_dict_producer & dict
) const
```


### function BEncode

```cpp
inline void BEncode(
    oxenc::bt_dict_producer && dict
) const
```


### function BDecode

```cpp
void BDecode(
    oxenc::bt_dict_consumer dict
)
```


### function IsGood

```cpp
bool IsGood(
    uint64_t chances
) const
```


### function IsGoodForConnect

```cpp
bool IsGoodForConnect(
    uint64_t chances
) const
```


### function IsGoodForPath

```cpp
bool IsGoodForPath(
    uint64_t chances
) const
```


### function Decay

```cpp
void Decay()
```

decay stats 

### function Tick

```cpp
void Tick()
```


## Public Attributes Documentation

### variable MaxSize

```cpp
static constexpr size_t MaxSize = 256;
```


### variable connectTimeoutCount

```cpp
uint64_t connectTimeoutCount = 0;
```


### variable connectGoodCount

```cpp
uint64_t connectGoodCount = 0;
```


### variable pathSuccessCount

```cpp
uint64_t pathSuccessCount = 0;
```


### variable pathFailCount

```cpp
uint64_t pathFailCount = 0;
```


### variable pathTimeoutCount

```cpp
uint64_t pathTimeoutCount = 0;
```


### variable lastUpdated

```cpp
llarp_time_t lastUpdated = 0s;
```


### variable lastDecay

```cpp
llarp_time_t lastDecay = 0s;
```


### variable version

```cpp
uint64_t version = llarp::constants::proto_version;
```


-------------------------------

Updated on 2022-11-17 at 22:27:41 +0000